<?php
/**
 * PerfGroupeNodeMigration
 * 
 */
class PerfDsonsNodeMigration extends PerfDNodeMigration {
  public function __construct() {
		
		$this->description = t('Migrate Document Sonore Class');

		$this->fields = array(
			'support' => t('support'),
    );

    // This can also be an URL instead of a file path.
    $xml_folder = DRUPAL_ROOT . '/' . drupal_get_path('module', 'PerfMigrate') . '/xml/';
    $this->items_url = $xml_folder . 'baseperf-dsons.xml';

    $this->item_xpath = '/ROOT/ITEMS/DOC_SONORE';  // relative to document

    $this->destination = new MigrateDestinationNode('document_sonor');

    parent::__construct();

    $this->addFieldMapping('field_support', 'support')
        ->xpath('@SUPPORT');

    $this->addUnmigratedDestinations(array('field_support:language', 'field_support:format'));
    
  }
  
  public function prepareRow($row){
     parent::prepareRow($row);
  }

 	public function prepare($node, stdClass $row) {
		parent::prepare($node, $row);
  }

	
	
}